# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Static Public Member Functions | List of all members
DBus::Ecore::BusDispatcher Class Reference

`#include <ecore-integration.h>`

Inheritance diagram for DBus::Ecore::BusDispatcher:

## Public Member Functions

| BusDispatcher ()
void | enter ()
void | leave ()
Timeout * | add_timeout (Timeout::Internal *)
void | rem_timeout (Timeout *)
Watch * | add_watch (Watch::Internal *)
void | rem_watch (Watch *)
Public Member Functions inherited from DBus::Dispatcher
virtual | ~Dispatcher ()
void | queue_connection (Connection::Private *)
void | dispatch_pending ()
bool | has_something_to_dispatch ()

## Static Public Member Functions

static Eina_Bool | dispatch (void *data, Ecore_Fd_Handler *fdh)
static Eina_Bool | check (void *data, Ecore_Fd_Handler *fdh)

## Detailed Description

Definition at line 91 of file ecore-integration.h.

## Constructor & Destructor Documentation

## ◆ BusDispatcher()

Ecore::BusDispatcher::BusDispatcher | ( |  | ) |

Definition at line 154 of file ecore-integration.cpp.

## Member Function Documentation

## ◆ add_timeout()

Timeout * Ecore::BusDispatcher::add_timeout | ( | Timeout::Internal * | wi | ) |

virtual

Implements DBus::Dispatcher.

Definition at line 163 of file ecore-integration.cpp.

References DBus::debug_log, and DBus::Timeout::enabled().

## ◆ add_watch()

Watch * Ecore::BusDispatcher::add_watch | ( | Watch::Internal * | wi | ) |

virtual

Implements DBus::Dispatcher.

Definition at line 179 of file ecore-integration.cpp.

References DBus::Ecore::BusWatch::data(), DBus::debug_log, DBus::Watch::descriptor(), DBus::Watch::enabled(), and DBus::Watch::flags().

## ◆ check()

Eina_Bool Ecore::BusDispatcher::check | ( | void * | data,
|  | Ecore_Fd_Handler * | fdh )

static

Definition at line 158 of file ecore-integration.cpp.

Referenced by dispatch().

## ◆ dispatch()

Eina_Bool DBus::Ecore::BusDispatcher::dispatch | ( | void * | data,
|  | Ecore_Fd_Handler * | fdh )

static

References check().

## ◆ enter()

void DBus::Ecore::BusDispatcher::enter | ( |  | ) |

inline virtual

Implements DBus::Dispatcher.

Definition at line 96 of file ecore-integration.h.

## ◆ leave()

void DBus::Ecore::BusDispatcher::leave | ( |  | ) |

inline virtual

Implements DBus::Dispatcher.

Definition at line 98 of file ecore-integration.h.

## ◆ rem_timeout()

void Ecore::BusDispatcher::rem_timeout | ( | Timeout * | t | ) |

virtual

Implements DBus::Dispatcher.

Definition at line 172 of file ecore-integration.cpp.

References DBus::debug_log.

## ◆ rem_watch()

void Ecore::BusDispatcher::rem_watch | ( | Watch * | w | ) |

virtual

Implements DBus::Dispatcher.

Definition at line 190 of file ecore-integration.cpp.

References DBus::debug_log.

The documentation for this class was generated from the following files:

- ecore-integration.h
- ecore-integration.cpp